Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.tasks
Class ExchangeTask

    java.lang.Object
      portlets.compoze.groupware.AbstractItem
          portlets.compoze.groupware.tasks.Task
              portlets.compoze.groupware.tasks.ExchangeTask

All Implemented Interfaces:
  java.io.Serializable

public class ExchangeTask
extends Task
implements java.io.Serializable

This class represents an Exchange task.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DELIMITER_COMPANIES`
`static java.lang.String` | `DELIMITER_CONTACT_NAMES`

Constructor Summary
`ExchangeTask(java.lang.String sID)` Constructor.

Method Summary
`int` | `getActualWork()` Gets the actual work (in minutes).
`java.lang.String` | `getBillingInfo()` Gets the billing info.
`java.lang.String[]` | `getCompanies()` Gets the companies.
`java.lang.String` | `getCompaniesString()` Gets the companies as a string.
`java.lang.String` | `getCompaniesString(java.lang.String delim)` Gets the companies as a string.
`java.util.Date` | `getCompletedDate()` Gets the completed date.
`java.lang.String` | `getCompletedDateString(java.util.Locale locale, java.util.TimeZone timeZone)` Gets the completed date localized string.
`java.lang.String[]` | `getContactNames()` Gets the contact names.
`java.lang.String` | `getContactNamesString()` Gets the contact names as a string.
`java.lang.String` | `getContactNamesString(java.lang.String delim)` Gets the contact names as a string.
`java.lang.String` | `getDescriptionHtml()` Gets the description of the task in HTML format.
`java.lang.String` | `getDueDateString(java.util.Locale locale, java.util.TimeZone timeZone)` Gets the due date localized string.
`java.lang.String` | `getMileage()` Gets the mileage.
`int` | `getPercentComplete()` Gets the percent complete.
`Sensitivity` | `getPrivate()` Gets the sensitivity of the task.
`java.lang.String` | `getStartDateString(java.util.Locale locale, java.util.TimeZone timeZone)` Gets the start date localized string.
`int` | `getTotalWork()` Gets the total work (in minutes).
`boolean` | `isOverdue(java.util.Locale locale, java.util.TimeZone timeZone)` Checks if the task is overdue.
`void` | `setActualWork(int iActualWork)` Sets the actual work (in minutes).
`void` | `setBillingInfo(java.lang.String sBillingInfo)` Sets the billing info.
`void` | `setCompanies(java.lang.String sCompanies)` Sets the companies with the specified string of companies.
`void` | `setCompanies(java.lang.String[] companies)` Sets the companies.
`void` | `setCompanies(java.lang.String sCompanies, java.lang.String sDelim)` Sets the companies with the specified string of companies.
`void` | `setCompletedDate(java.util.Date completedDate)` Sets the completed date.
`void` | `setContactNames(java.lang.String sContactNames)` Sets the contact names with the specified string of contact names.
`void` | `setContactNames(java.lang.String[] contactNames)` Sets the contact names.
`void` | `setContactNames(java.lang.String sContactNames, java.lang.String sDelim)` Sets the contact names with the specified string of contact names.
`void` | `setMileage(java.lang.String sMileage)` Sets the mileage.
`void` | `setPercentComplete(int iPercentComplete)` Sets the percent complete.
`void` | `setPrivate(Sensitivity sensitivity)` Sets the sensitivity of the task.
`void` | `setTotalWork(int iTotalWork)` Sets the total work (in minutes).

Methods inherited from class portlets.compoze.groupware.tasks.Task
`getDueDate, getStartDate, getTaskStatus, isComplete, isRepeating, setComplete, setDueDate, setRepeating, setStartDate, setTaskStatus`

Methods inherited from class portlets.compoze.groupware.AbstractItem
`getAttachmentCount, getAttachmentInfoArray, getBodyHtml, getBodyText, getBodyTextAsHtml, getDateCreated, getID, getImportance, getIndex, getItemType, getSize, getSizeInKilobytes, getSubject, getSubject, hasAttachment, prettyTruncate, setAttachmentCount, setAttachmentInfoArray, setBodyHtml, setBodyText, setDateCreated, setHasAttachment, setID, setImportance, setIndex, setItemType, setSize, setSubject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DELIMITER_CONTACT_NAMES

    public static final java.lang.String DELIMITER_CONTACT_NAMES

See Also:
  Constant Field Values

### DELIMITER_COMPANIES

    public static final java.lang.String DELIMITER_COMPANIES

See Also:
  Constant Field Values

Constructor Detail

### ExchangeTask

    public ExchangeTask(java.lang.String sID)

  Constructor.

Parameters:
  `sID` - the task ID

Method Detail

### isOverdue

    public boolean isOverdue(java.util.Locale locale,
                             java.util.TimeZone timeZone)

  Checks if the task is overdue.

  Overrides:
    `isOverdue` in class `Task`
  Parameters:
    `locale` - the locale (may not be `null`)
    `timeZone` - the time zone (may not be `null`)
  Returns:
    `true` if the task is overdue; `false` otherwise

### getStartDateString

    public java.lang.String getStartDateString(java.util.Locale locale,
                                               java.util.TimeZone timeZone)

  Gets the start date localized string.

  Overrides:
    `getStartDateString` in class `Task`
  Parameters:
    `locale` - the locale (may not be `null`)
    `timeZone` - the time zone (may not be `null`)
  Returns:
    the start date localized string or an empty string if not set

### getDueDateString

    public java.lang.String getDueDateString(java.util.Locale locale,
                                             java.util.TimeZone timeZone)

  Gets the due date localized string.

  Overrides:
    `getDueDateString` in class `Task`
  Parameters:
    `locale` - the locale (may not be `null`)
    `timeZone` - the time zone (may not be `null`)
  Returns:
    the due date localized string or an empty string if not set

### setCompletedDate

    public void setCompletedDate(java.util.Date completedDate)

  Sets the completed date.

  Parameters:
    `completedDate` - the completed date or `null` if not set

### getCompletedDate

    public java.util.Date getCompletedDate()

  Gets the completed date.

  Returns:
    the completed date or `null` if not set

### getCompletedDateString

    public java.lang.String getCompletedDateString(java.util.Locale locale,
                                                   java.util.TimeZone timeZone)

  Gets the completed date localized string.

  Parameters:
    `locale` - the locale (may not be `null`)
    `timeZone` - the time zone (may not be `null`)
  Returns:
    the completed date localized string or an empty string if not set

### getMileage

    public java.lang.String getMileage()

  Gets the mileage.

  Returns:
    the mileage or `null` if not set

### setMileage

    public void setMileage(java.lang.String sMileage)

  Sets the mileage.

  Parameters:
    `sMileage` - the mileage or `null` to not set

### getBillingInfo

    public java.lang.String getBillingInfo()

  Gets the billing info.

  Returns:
    the billing info or `null` if not set

### setBillingInfo

    public void setBillingInfo(java.lang.String sBillingInfo)

  Sets the billing info.

  Parameters:
    `sBillingInfo` - the billing info or `null` to not set

### getContactNames

    public java.lang.String[] getContactNames()

  Gets the contact names.

  Returns:
    an array of contact names or an empty array for none

### getContactNamesString

    public java.lang.String getContactNamesString()

  Gets the contact names as a string.

  Returns:
    the contact names as a string
  See Also:
    `DELIMITER_CONTACT_NAMES`

### getContactNamesString

    public java.lang.String getContactNamesString(java.lang.String delim)

  Gets the contact names as a string.

  Parameters:
    `delim` - the delimiter (may not be `null`)
  Returns:
    the contact names as a string
  See Also:
    `DELIMITER_CONTACT_NAMES`

### setContactNames

    public void setContactNames(java.lang.String[] contactNames)

  Sets the contact names.

  Parameters:
    `contactNames` - an array of contact names or `null` to not clear

### getCompaniesString

    public java.lang.String getCompaniesString()

  Gets the companies as a string.

  Returns:
    the companies as a string
  See Also:
    `DELIMITER_COMPANIES`

### getCompaniesString

    public java.lang.String getCompaniesString(java.lang.String delim)

  Gets the companies as a string.

  Parameters:
    `delim` - the delimiter (may not be `null`)
  Returns:
    the companies as a string
  See Also:
    `DELIMITER_COMPANIES`

### getCompanies

    public java.lang.String[] getCompanies()

  Gets the companies.

  Returns:
    an array of companies or an empty array for none

### setCompanies

    public void setCompanies(java.lang.String[] companies)

  Sets the companies.

  Parameters:
    `companies` - an array of companies or `null` to not clear

### setCompanies

    public void setCompanies(java.lang.String sCompanies)

  Sets the companies with the specified string of companies.

  Parameters:
    `sCompanies` - a delimited list of companies
  See Also:
    `DELIMITER_COMPANIES`

### setCompanies

    public void setCompanies(java.lang.String sCompanies,
                             java.lang.String sDelim)

  Sets the companies with the specified string of companies.

  Parameters:
    `sCompanies` - a delimited list of companies
    `sDelim` - the delimiter
  See Also:
    `DELIMITER_COMPANIES`

### setContactNames

    public void setContactNames(java.lang.String sContactNames)

  Sets the contact names with the specified string of contact names.

  Parameters:
    `sContactNames` - a delimited list of contact names
  See Also:
    `DELIMITER_COMPANIES`

### setContactNames

    public void setContactNames(java.lang.String sContactNames,
                                java.lang.String sDelim)

  Sets the contact names with the specified string of contact names.

  Parameters:
    `sContactNames` - a delimited list of contact names
    `sDelim` - the delimiter
  See Also:
    `DELIMITER_CONTACT_NAMES`

### getPercentComplete

    public int getPercentComplete()

  Gets the percent complete.

  Returns:
    the percent complete

### setPercentComplete

    public void setPercentComplete(int iPercentComplete)

  Sets the percent complete.

  Parameters:
    `iPercentComplete` - the percent complete

### getTotalWork

    public int getTotalWork()

  Gets the total work (in minutes).

  Returns:
    the total work (in minutes)

### setTotalWork

    public void setTotalWork(int iTotalWork)

  Sets the total work (in minutes).

  Parameters:
    `iTotalWork` - the total work (in minutes)

### getActualWork

    public int getActualWork()

  Gets the actual work (in minutes).

  Returns:
    the actual work (in minutes)

### setActualWork

    public void setActualWork(int iActualWork)

  Sets the actual work (in minutes).

  Parameters:
    `iActualWork` - the total work (in minutes)

### getPrivate

    public Sensitivity getPrivate()

  Gets the sensitivity of the task.

  Returns:
    the sensitivity

### setPrivate

    public void setPrivate(Sensitivity sensitivity)

  Sets the sensitivity of the task.

  Parameters:
    `sensitivity` - the sensitivity

### getDescriptionHtml

    public java.lang.String getDescriptionHtml()

  Gets the description of the task in HTML format.

  Overrides:
    `getDescriptionHtml` in class `Task`
  Returns:
    the description text in HTML format

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.